
SELinux - Bug #5981

Passenger opens up udp port

05/29/2014 12:24 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Staypuft installer:

# audit2why -wa

type=AVC msg=audit(1401197569.085:2565): avc:  denied  { name_bind } for  pid=9349 comm="ruby" src

=17659 scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=u

dp_socket

# audit2allow -R

corenet_udp_bind_generic_port(passenger_t)

 We are re-testing to see if the port is random or not. Strange UDP port.

Related issues:

Related to SELinux - Bug #8030: Permission denied - bind(2) on DNS lookup whe... Closed 10/22/2014

History

#1 - 05/29/2014 01:02 PM - Lukas Zapletal

And another run:

type=AVC msg=audit(1401367752.666:1209): avc:  denied  { name_bind } for  pid=16698 comm="ruby" src=7108 scont

ext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=udp_socket

 Different UDP port is bound. Hmmmm.

#2 - 11/23/2015 07:24 AM - Luis Fernández

Do you have any update about what is triggering this alert on SELinux? I see it from time to time and I would like to understand it before polishing the

module.

#3 - 11/23/2015 07:36 AM - Lukas Zapletal

- Status changed from New to Closed

This was fixed in #8030 - it was a DNS Ruby library.

#4 - 11/23/2015 07:36 AM - Lukas Zapletal

- Related to Bug #8030: Permission denied - bind(2) on DNS lookup when creating a host added
